#
# spec file for package obs-service-format_spec_file
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-service-format_spec_file
Summary:        An OBS source service: reformats a spec file to SUSE standard
License:        GPL-2.0
Group:          Development/Tools/Building
Version:        0.4.1
Release:        6.1
Url:            https://github.com/openSUSE/obs-service-format_spec_file
Source:         format_spec_file
Source1:        format_spec_file.service
Source2:        prepare_spec
Source3:        patch_license
Source4:        licenses_changes.txt
Source100:      COPYING
Requires:       osc-source_validator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This source service is formating the spec file to SUSE standard. The rational
behind is to make it easier to review spec files from unknown packagers.

This should be used in "trylocal" mode, so that osc is adapting the existing
spec file instead of creating a new one.

%prep

%setup -q -D -T 0 -n .
cp -a %{SOURCE100} .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service/format_spec_file.files
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/obs/service/format_spec_file.files
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/obs/service/format_spec_file.files

%files
%defattr(-,root,root)
%doc COPYING
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Fri Mar  9 2012 coolo@suse.com
- licenses update
* Mon Feb 27 2012 saschpe@suse.de
- avoid breaking shell expansions
* Fri Feb 24 2012 coolo@suse.com
- don't stop sorting at empty lines in %%description
- fix indenting of the script
* Mon Feb 20 2012 coolo@suse.com
- fix sorting of tag lines that are not on the beginning of the file
* Mon Feb 20 2012 coolo@suse.com
- not only break buildrequires per (sorted) line, but also
  Requires and Provides
* Tue Feb 14 2012 coolo@suse.com
- even more legal updates
* Thu Feb  9 2012 coolo@suse.com
- even more legal updates
* Thu Feb  9 2012 coolo@suse.com
- fix the whitespace after the preamble
* Mon Feb  6 2012 coolo@suse.com
- one more update for php-2.0 and osl-1.1
* Sat Feb  4 2012 adrian@suse.de
- handle failing prepare_spec when $OUTDIR=$PWD correct
* Fri Feb  3 2012 coolo@suse.com
- fix php license
* Wed Jan 25 2012 coolo@suse.com
- another update from license list
* Thu Jan 19 2012 coolo@suse.com
- confirm license
* Thu Jan 19 2012 coolo@suse.com
- update list of licenses as legal team found new cases
* Mon Dec 19 2011 coolo@suse.com
- put groups in subpackages unconditionally to leave sle11 support
  intact
* Thu Dec 15 2011 coolo@suse.com
- more licenses for SUSE-*
* Mon Dec 12 2011 coolo@suse.com
- preserve release tag if it's more than a number
* Wed Dec  7 2011 coolo@suse.com
- move pkgconfig() and co to the end of the buildrequires
* Wed Dec  7 2011 coolo@suse.com
- another update from git to replace way more licenses (0.4)
* Tue Dec  6 2011 coolo@suse.com
- update from https://github.com/openSUSE/obs-service-format_spec_file
* Thu Dec  1 2011 adrian@suse.de
- allow to specify a defined spec file (version 0.2)
* Wed Sep  7 2011 dmueller@suse.de
- remove %%%%debug_package insertion
* Mon Aug  8 2011 ro@suse.com
- more work on disabled subpackages, port from internal
  prepare_spec
* Mon Aug  1 2011 ro@suse.de
- try to keep summary and group for cases like openldap2
  (bnc#624980)
* Mon Jul  4 2011 ro@suse.de
- fix empty line handling (multiple subsequent empty lines)
* Sun Jul  3 2011 ro@suse.de
- leave Version lines intact (fix issue with multiple version
  lines in a package, for example in if-constructs)
* Fri Jun 17 2011 coolo@novell.com
- do not replace licenses without knowing them (not sure this
  is necessary at all)
* Tue May 31 2011 adrian@suse.de
- do not fail on kiwi packages
* Wed May 25 2011 adrian@suse.de
- do not generate new spec files when no changes happened
* Wed May 25 2011 ro@suse.de
- fix uninitialized warning in prepare_spec
* Tue May  3 2011 ro@suse.de
- cleanup prepare_spec, drop Needed.pm
- make it ready for public usage
* Wed Jan 26 2011 adrian@suse.de
- initial version.
  not usable outside of SUSE network yet.
